View Issue Details

IDProjectCategoryView StatusLast Update
0001329SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.4.9 
Target Version3.5.0Fixed in Version3.5.0 
Summary0001329: ArrayOutOfBoundsException - during removal of column
DescriptionAn ArrayOutOfBoundsException can happen if a column is removed from a table and changes are changes are captured in the same batch from both before and after the trigger is regenerated.

Activities

chenson

2013-07-17 21:44

administrator   ~0000293

There ended up being several issues with adding and removing columns that were introduced with 3.0.

chenson

2013-07-22 17:51

administrator   ~0000302

prepare for release

Related Changesets

SymmetricDS: master 4d1c3616

2013-07-17 22:39:58

chenson

Details Diff
0001329: ArrayOutOfBoundsException - during removal of column
0001329
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataLoaderServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/test/TestTablesService.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractProtocolDataWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/StructureDataWriter.java Diff File
add - symmetric-server/src/test/java/org/jumpmind/symmetric/test/ChangeTablesStructureTest.java Diff File
add - symmetric-server/src/test/java/org/jumpmind/symmetric/test/InitialLoadExtractorJobTest.java Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/RestServiceTest.java Diff File

Issue History

Date Modified Username Field Change
2013-07-17 13:01 chenson New Issue
2013-07-17 13:01 chenson Status new => assigned
2013-07-17 13:01 chenson Assigned To => chenson
2013-07-17 21:44 chenson Note Added: 0000293
2013-07-17 21:44 chenson Status assigned => resolved
2013-07-17 21:44 chenson Fixed in Version => 3.5.0
2013-07-17 21:44 chenson Resolution open => fixed
2013-07-17 21:59 chenson Status resolved => assigned
2013-07-19 15:47 chenson Status assigned => resolved
2013-07-22 17:51 chenson Note Added: 0000302
2013-07-22 17:51 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7543
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4d1c3616